Important :

Le présent wiki a été migré vers wiki.archlinux.org.

Ce Wiki a été archivé. Toute contribution doit donc désormais se faire là-bas. Cette page de Wiki possède donc potentiellement des informations qui ne sont plus à jour !

Accueil wiki FR sur .org

Utiliser des applications 32bits avec Arch64 : Différence entre versions

De ArchwikiFR
(maj, il y a [multilib] depuis pas mal de temps maintenant ... /opt n'est plus d'actualité pour gtk et cie depuis au moins aussi longtemps)
m (rationalisation des catégories + utilisation des balises + changement mise en page)
Ligne 1 : Ligne 1 :
 
[[en:Using_32-bit_applications_on_Arch64]]
 
[[en:Using_32-bit_applications_on_Arch64]]
==Introduction==
+
[[catégorie:Astuces]]
 +
 
 
Les processeurs 64 bits sont capables d'exécuter des programmes 32 et 64 bits en même temps.
 
Les processeurs 64 bits sont capables d'exécuter des programmes 32 et 64 bits en même temps.
  
==Paquets==
+
== Configuration ==
 
Les paquets 32 bits peuvent être installés depuis le [[depots|dépôt]] {{codeline|<nowiki>[multilib]</nowiki>}}.
 
Les paquets 32 bits peuvent être installés depuis le [[depots|dépôt]] {{codeline|<nowiki>[multilib]</nowiki>}}.
  
Ligne 11 : Ligne 12 :
 
  Include = /etc/pacman.d/mirrorlist
 
  Include = /etc/pacman.d/mirrorlist
  
==Installation==
+
== Utilisation ==
 
Les applications 32 bits provenant du dépôt {{codeline|<nowiki>[multilib]</nowiki>}} ou d'un dépôt tiers prévu pour un système x86_64 ou encore provenant d'[[AUR]] (pour peu que le {{pkg|PKGBUILD}} soit bien fait) installeront automatiquement les paquets {{pkg|lib32-|lib32-*}} nécessaires en dépendances.
 
Les applications 32 bits provenant du dépôt {{codeline|<nowiki>[multilib]</nowiki>}} ou d'un dépôt tiers prévu pour un système x86_64 ou encore provenant d'[[AUR]] (pour peu que le {{pkg|PKGBUILD}} soit bien fait) installeront automatiquement les paquets {{pkg|lib32-|lib32-*}} nécessaires en dépendances.
  
===Application OpenGL===
+
===Applications OpenGL===
 
Les programmes utilisant OpenGL ont besoin d'une des bibliothèques suivantes (selon votre carte graphique):
 
Les programmes utilisant OpenGL ont besoin d'une des bibliothèques suivantes (selon votre carte graphique):
 
* Pilotes non libres :
 
* Pilotes non libres :
Ligne 24 : Ligne 25 :
 
===Alsa & OpenAL===
 
===Alsa & OpenAL===
 
Pour le support d'Alsa et d'Open-AL, vous devez installer les paquets {{pkg|lib32-alsa-lib}} et {{pkg|lib32-openal}}.
 
Pour le support d'Alsa et d'Open-AL, vous devez installer les paquets {{pkg|lib32-alsa-lib}} et {{pkg|lib32-openal}}.
 
 
[[Catégorie:Arch64]]
 

Version du 3 février 2021 à 15:00


Les processeurs 64 bits sont capables d'exécuter des programmes 32 et 64 bits en même temps.

Configuration

Les paquets 32 bits peuvent être installés depuis le dépôt [multilib].

Il vous faut l'activer dans la configuration de pacman :

[multilib]
SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

Utilisation

Les applications 32 bits provenant du dépôt [multilib] ou d'un dépôt tiers prévu pour un système x86_64 ou encore provenant d'AUR (pour peu que le PKGBUILD soit bien fait) installeront automatiquement les paquets lib32- nécessaires en dépendances.

Applications OpenGL

Les programmes utilisant OpenGL ont besoin d'une des bibliothèques suivantes (selon votre carte graphique):

Alsa & OpenAL

Pour le support d'Alsa et d'Open-AL, vous devez installer les paquets lib32-alsa-lib et lib32-openal.